VSTGUI: CCommandMenuItem::Desc Struct Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Public Member Functions | Public Attributes | List of all members
CCommandMenuItem::Desc Struct Reference

`#include <coptionmenu.h>`

## Public Member Functions
| Desc ()=default
| ~Desc () noexcept=default
| Desc (const UTF8String &title, const UTF8String &keycode=nullptr, int32_t keyModifiers=0, CBitmap *icon=nullptr, int32_t flags=kNoFlags, ICommandMenuItemTarget *target=nullptr, const UTF8String &commandCategory=nullptr, const UTF8String &commandName=nullptr)
| Desc (const UTF8String &title, int32_t tag, ICommandMenuItemTarget *target=nullptr, const UTF8String &commandCategory=nullptr, const UTF8String &commandName=nullptr)
| Desc (const UTF8String &title, ICommandMenuItemTarget *target, const UTF8String &commandCategory=nullptr, const UTF8String &commandName=nullptr)

## Public Attributes
UTF8String | title
UTF8String | commandCategory
UTF8String | commandName
UTF8String | keycode
SharedPointer< ICommandMenuItemTarget > | target
SharedPointer< CBitmap > | icon
int32_t | keyModifiers {0}
int32_t | flags {kNoFlags}
int32_t | tag {-1}

## Constructor & Destructor Documentation

## ◆ Desc() [1/4]

Desc | ( |  | ) |
| default

## ◆ ~Desc()

~Desc | ( |  | ) |
| defaultnoexcept

## ◆ Desc() [2/4]

Desc | ( | const UTF8String & | title,
|  | const UTF8String & | keycode = `nullptr`,
|  | int32_t | keyModifiers = `0`,
|  | CBitmap * | icon = `nullptr`,
|  | int32_t | flags = `kNoFlags`,
|  | ICommandMenuItemTarget * | target = `nullptr`,
|  | const UTF8String & | commandCategory = `nullptr`,
|  | const UTF8String & | commandName = `nullptr`
| ) |  |
| inline

## ◆ Desc() [3/4]

Desc | ( | const UTF8String & | title,
|  | int32_t | tag,
|  | ICommandMenuItemTarget * | target = `nullptr`,
|  | const UTF8String & | commandCategory = `nullptr`,
|  | const UTF8String & | commandName = `nullptr`
| ) |  |
| inline

## ◆ Desc() [4/4]

Desc | ( | const UTF8String & | title,
|  | ICommandMenuItemTarget * | target,
|  | const UTF8String & | commandCategory = `nullptr`,
|  | const UTF8String & | commandName = `nullptr`
| ) |  |
| inline

## Member Data Documentation

## ◆ commandCategory

UTF8String commandCategory

## ◆ commandName

UTF8String commandName

## ◆ flags

int32_t flags {kNoFlags}

## ◆ icon

SharedPointer<CBitmap> icon

## ◆ keycode

UTF8String keycode

## ◆ keyModifiers

int32_t keyModifiers {0}

## ◆ tag

int32_t tag {-1}

## ◆ target

SharedPointer<ICommandMenuItemTarget> target

## ◆ title

UTF8String title

The documentation for this struct was generated from the following file:

- coptionmenu.h